DefaultModuleConfigFactory (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.config.impl
Class DefaultModuleConfigFactory

    java.lang.Object
      org.apache.struts.config.ModuleConfigFactory
          org.apache.struts.config.impl.DefaultModuleConfigFactory

All Implemented Interfaces:
  Serializable

    public class DefaultModuleConfigFactory

extends ModuleConfigFactory
implements Serializable

A factory for creating `ModuleConfig` instances.

Version:
  $Rev: 471754 $ $Date: 2005-05-07 12:45:39 -0400 (Sat, 07 May 2005) $
See Also:
  `ModuleConfig`, `ModuleConfigFactory`, Serialized Form

Field Summary

Fields inherited from class org.apache.struts.config.ModuleConfigFactory
`clazz, factoryClass`

Constructor Summary
`DefaultModuleConfigFactory()`

Method Summary
`ModuleConfig` | `createModuleConfig(String prefix)` Create and return a newly instansiated `ModuleConfig`.

Methods inherited from class org.apache.struts.config.ModuleConfigFactory
`createFactory, getFactoryClass, setFactoryClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultModuleConfigFactory

    public DefaultModuleConfigFactory()

Method Detail

### createModuleConfig

    public ModuleConfig createModuleConfig(String prefix)

  Create and return a newly instansiated `ModuleConfig`. This method must be implemented by concrete subclasses.

  Specified by:
    `createModuleConfig` in class `ModuleConfigFactory`
  Parameters:
    `prefix` - Module prefix for Configuration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.